MCP Reference: backupdr.googleapis.com

Server for managing backup vaults, plans, and recovery operations.

A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

Server Setup

You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.

Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The Backup and DR Service API MCP server has the following global MCP endpoint:

  • https://backupdr.googleapis.com/mcp

MCP Tools

An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.

Tools

The backupdr.googleapis.com MCP server has the following tools:

MCP Tools
ListBackupPlans Lists all BackupPlans in a specified location. BackupPlans define the schedule and retention policies for backups. Use this to discover existing plans.
CreateBackupPlan Creates a new BackupPlan in a given project and location. A BackupPlan specifies how and when backups should be taken.
GetBackupPlan Retrieves the details and configuration of a specific BackupPlan by name.
UpdateBackupPlan Updates an existing BackupPlan's configuration. Use this to modify schedules or retention rules.
DeleteBackupPlan Deletes a BackupPlan. This operation will fail if the plan is currently referenced by any active BackupPlanAssociations. You must first delete the corresponding backup plan associations.
CreateBackupVault Creates a new BackupVault to store backups in a given project and location.
ListBackupVaults Lists all secure storage BackupVaults in a specified location.
GetBackupVault Retrieves the details and status of a specific BackupVault.
UpdateBackupVault Updates the settings of a BackupVault, such as labels or annotations.
DeleteBackupVault Deletes a BackupVault. The vault must have no backups and datasources, for it to be successfully deleted.
ListBackups Lists all backups associated with a specific data source. Use this to find available recovery points.
GetBackup Retrieves details of a specific backup, including its size, state, and creation time.
DeleteBackup Deletes a specific backup from a vault.
RestoreBackup Restores a VM or Disk from a specified Backup. This is a long-running operation and returns an operation ID. You may need to check the status using get_operation.
ListDataSources Lists all data sources (protected workloads) contained within a specific backup vault.
ListBackupPlanAssociations Lists all BackupPlanAssociations. BPAs link a specific workload to a BackupPlan to enable protection.
CreateBackupPlanAssociation Creates a new BackupPlanAssociation, linking a workload to a BackupPlan to start automated backups.
GetBackupPlanAssociation Retrieves details of a specific BackupPlanAssociation.
UpdateBackupPlanAssociation Updates an existing BackupPlanAssociation.
DeleteBackupPlanAssociation Deletes a BackupPlanAssociation. Deleting the association stops scheduled backups for the workload, but existing backups are retained according to the plan's retention policy unless manually deleted.
TriggerBackup Manually triggers an immediate on-demand backup for a resource, bypassing the scheduled plan.
ListResourceBackupConfigs Retrieves backup configuration summaries and protection status for resources with in the specified project and location. CRITICAL: Location is mandatory and must be sent in the request. Location must not be '-' or 'global'. Do NOT attempt to use other tools (like ListBackupVaults,ListBackupPlans,ListBackupPlanAssociations) to discover active locations. You MUST explicitly ask the user for the location and project before calling this tool.
get_operation

Get the status of a long-running operation (LRO).

Usage

Some tools (create_backup_plan, create_backup_vault,'restore_backup','delete_backup_plan' etc) return a long-running operation. You can use this tool to get the status of the operation.

Parameters

  • name: The name of the operation to get. It corresponds to the name field in the long-running operation. It should be in the format of projects/{project}/locations/{location}/operations/{operation}.

Returns

  • An Operation object that contains the status of the operation.
  • If the operation is not complete, the response will be empty.
  • If the operation is complete, the response will contain either:
    • A response field that contains the result of the operation and indicates that it was successful.
    • A error field that indicates any errors that occurred during the operation.

Get MCP tool specifications

To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.

Curl Request
                      
curl --location 'https://backupdr.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
    "method": "tools/list",
    "jsonrpc": "2.0",
    "id": 1
}'